class EntertainmentOperations
  def self.sortByRating(hashArray)
    # sorts in ascending order of rating:
    hashArray.sort_by! do |item|
      if item[:rating].nil?
        return -1
      else
        item[:rating]
      end
    end
    return hashArray.reverse
  end

  def self.sortByTitle(hashArray)
    # sorts by name alphabetically
    hashArray.sort_by do |item|
      if item[:name].nil?
        'zzzzzzzzzzzzzzzzzz'
      else
        item[:name].downcase
      end
    end
  end

  def self.getHighestRated(hashArray)
    hashArray = sortByRating(hashArray)
    return hashArray.first
  end

  def self.getLowestRated(hashArray)
    hashArray = sortByRating(hashArray)
    return hashArray.last
  end
end
